Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Enum TelemetryMetricDefinition.InvocationResult

java.lang.Object
java.lang.Enum<TelemetryMetricDefinition.InvocationResult>
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricDefinition.InvocationResult

All Implemented Interfaces:
  `Serializable`, `Comparable<TelemetryMetricDefinition.InvocationResult>`, `TelemetryMetricDefinition.AttributeValue`

Enclosing class:
  TelemetryMetricDefinition

public static enum TelemetryMetricDefinition.InvocationResult extends Enum<TelemetryMetricDefinition.InvocationResult> implements TelemetryMetricDefinition.AttributeValue

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCEPTION_THROWN`
`VALUE_RETURNED`

## Method Summary

Modifier and Type
Method
Description
`io.opentelemetry.api.common.Attributes`
`getAttribute()`
`static TelemetryMetricDefinition.InvocationResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TelemetryMetricDefinition.InvocationResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALUE_RETURNED

public static final TelemetryMetricDefinition.InvocationResult VALUE_RETURNED

### EXCEPTION_THROWN

public static final TelemetryMetricDefinition.InvocationResult EXCEPTION_THROWN

## Method Details

### values

public static TelemetryMetricDefinition.InvocationResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TelemetryMetricDefinition.InvocationResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getAttribute

public io.opentelemetry.api.common.Attributes getAttribute()

Specified by:
  `getAttribute` in interface `TelemetryMetricDefinition.AttributeValue`